Update environment variable

This endpoint updates an existing environment variable.

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
namestringRequired1-255 characters
Unique name of the variable
valuestringRequired>=1 character
Value of the variable
descriptionstringOptional<=1024 characters
Optional description

Response

Successfully updated
idstringOptionalformat: "uuid"
Unique ID of the variable
namestringOptional
Unique name of the variable
valuestringOptional
Value of the variable
descriptionstringOptional
Optional description
createdTimestringOptionalformat: "date-time"
Time when the variable was created
updatedTimestringOptionalformat: "date-time"
Time when the variable was last updated
createdBystringOptional
Username of the user who created the variable
updatedBystringOptional
Username of the user who last updated the variable

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
5XX
Server Error